Skip to content
Back to top
View this page

# ChatBoostSourceGiftCode

Added in version 20.8.

class telegram.ChatBoostSourceGiftCode(user, *, api_kwargs=None)

  Bases: `telegram.ChatBoostSource`

  The boost was obtained by the creation of Telegram Premium gift codes to boost a chat. Each such code boosts the chat 4 times for the duration of the corresponding Telegram Premium subscription.

  Available In

  - `telegram.ChatBoost.source`

  - `telegram.ChatBoostRemoved.source`

  Added in version 20.8.

  Parameters:

    user (`telegram.User`) – User for which the gift code was created.

  source

    The source of the chat boost. Always `GIFT_CODE`.

    Type:

      `str`

  user

    User for which the gift code was created.

    Type:

      `telegram.User`